%global publicsuffix_date 20130516

Name:           perl-Mozilla-PublicSuffix
Version:        0.1.15
Release:        1.%{publicsuffix_date}%{?dist}
Summary:        Get a domain name's public suffix via the Mozilla Public Suffix List
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mozilla-PublicSuffix/
Source0:        http://www.cpan.org/authors/id/R/RS/RSIMOES/Mozilla-PublicSuffix-v%{version}.tar.gz
# http://mxr.mozilla.org/mozilla-central/source/netwerk/dns/effective_tld_names.dat?raw=1
Source1:        effective_tld_names.dat

BuildArch:      noarch
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI::_idna)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(Tie::File)
BuildRequires:  perl(Exporter)

Requires:       perl(URI::_idna)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module provides a single function that returns the public suffix of a
domain name by referencing a parsed copy of Mozilla's Public Suffix List.
From the official website at http://publicsuffix.org/

%prep
%setup -q -n Mozilla-PublicSuffix-v%{version}
cp -a %{SOURCE1} ./

%build
perl Build.PL installdirs=vendor </dev/null
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes effective_tld_names.dat LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon May 20 2013 Yanko Kaneti <yaneti@declera.com> 0.1.15-1.20130516
- New upstream bugfix release.

* Thu May 16 2013 Yanko Kaneti <yaneti@declera.com> 0.1.13-2.20130516
- Address review comments (#963197#1)

* Wed May 15 2013 Yanko Kaneti <yaneti@declera.com> 0.1.13-1.20130515
- Specfile autogenerated by cpanspec 1.78 and modified for review
